## net.i2p.router.networkdb
Class DatabaseStoreMessageHandler

    java.lang.Object
      net.i2p.router.networkdb.DatabaseStoreMessageHandler

All Implemented Interfaces:
  HandlerJobBuilder

    public class DatabaseStoreMessageHandler

extends Object
implements HandlerJobBuilder

Create a HandleDatabaseStoreMessageJob whenever a DatabaseStoreMessage arrives Unused - see kademlia/ for replacement

Constructor Summary
`DatabaseStoreMessageHandler(RouterContext context)`

Method Summary
`Job` `createJob(I2NPMessage receivedMessage, RouterIdentity from, Hash fromHash)` Create a new job to handle the received message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseStoreMessageHandler

    public DatabaseStoreMessageHandler(RouterContext context)

Method Detail

### createJob

    public Job createJob(I2NPMessage receivedMessage,
                         RouterIdentity from,
                         Hash fromHash)

  Description copied from interface: `HandlerJobBuilder`
  Create a new job to handle the received message.

  Specified by:
    `createJob` in interface `HandlerJobBuilder`
  Parameters:
    `receivedMessage` - I2NP message received
    `from` - router that sent the message (if available)
    `fromHash` - hash of the routerIdentity of the router that sent the message (if available)
  Returns:
    a job or null if no particular job is appropriate (in which case, the message should go into the inbound message pool)